package com.youchain.utils;

import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
public class StockTypeToAreaMap {
    public static final Map<String, String> stockTypeToAreaMap;

    static {
        stockTypeToAreaMap = new HashMap<>();
        // 初始化Map
        stockTypeToAreaMap.put(BizStatus.XJ, AreaNameDic.XJQ);
        stockTypeToAreaMap.put(BizStatus.DJ, AreaNameDic.DJQ);
        // 更多的初始化操作...
    }

    public Map<String, String> getStockTypeToAreaMap() {
        return stockTypeToAreaMap;
    }

    public String getValueByKey(String key) {
        return stockTypeToAreaMap.get(key);
    }
}
